{
	"name": "plugin/nc-calc-server/chart-option.json",
	"chart_days": 60,
	"max_product_count": 20,
	"show_product_name": true,
	"init_option": {
		"renderer": "svg"
	},
	"stock_balance": {
		"animationDuration": 100,
		"legend": {
			"top": "top"
		},
		"tooltip": {
			"trigger": "axis",
			"showContent": true
		},
		"dataset": [
			{
				"dimensions": [
					{
						"name": "balance_date",
						"type": "time"
					},
					{
						"name": "balance",
						"type": "number"
					},
					{
						"name": "product_id",
						"type": "ordinal"
					}
				],
				"source": [
					{
						"product_id": "",
						"balance_date": "2022-10-28",
						"balance": 0
					}
				]
			}
		],
		"grid": {
			"left": 50,
			"top": 40,
			"right": 50,
			"bottom": 25
		},
		"xAxis": {
			"type": "time",
			"alignTicks": true,
			"axisLine": {
				"show": true
			},
			"axisLabel": {
				"formatter": {
					"year": "{MMM} {yearStyle|{yyyy}}",
					"month": "{boldStyle|{MMM} {yy}}",
					"day": "{blackStyle|{ee} {d}.{M}}",
					"hour": "{ee} {d}.{M} {blackStyle|{HH}:{mm}}",
					"minute": "{ee} {d}.{M} {blackStyle|{HH}:{mm}}",
					"second": "{ee} {d}.{M} {blackStyle|{HH}:{mm}:{ss}}",
					"millisecond": "{ee} {d}.{M} {blackStyle|{hh}:{mm}:{ss}.{SSS}}",
					"none": "{yyyy}-{MM}-{dd} {hh}:{mm}:{ss}.{SSS}"
				},
				"rich": {
					"yearStyle": {
						"fontWeight": "bold",
						"color": "black"
					},
					"boldStyle": {
						"fontWeight": "bold"
					},
					"blackStyle": {
						"color": "balck"
					}
				}
			},
			"min": "2022-10-28",
			"max": "2022-12-28"
		},
		"yAxis": [
			{
				"type": "value",
				"name": "Stock balance",
				"position": "left",
				"minInterval": 1,
				"axisLine": {
					"show": true
				},
				"min": 0,
				"max": 10
			},
			{
				"type": "value",
				"name": "Stock balance",
				"position": "right",
				"minInterval": 1,
				"min": 0,
				"max": 10
			}
		],
		"series": [
			{
				"datasetIndex": 0,
				"name": "Product",
				"smooth": false,
				"type": "line",
				"emphasis": {
					"focus": "series"
				}
			}
		]
	},
	"product_tree": {
		"tooltip": {
			"trigger": "item",
			"triggerOn": "mousemove"
		},
		"legend-": {
			"top": "2%",
			"left": "3%",
			"orient": "vertical",
			"data": [
				{
					"name": "Tree",
					"icon": "rectangle"
				}
			],
			"borderColor": "#c23531"
		},
		"series": [
			{
				"type": "tree",
				"name": "Tree",
				"data": [],
				"top": "5%",
				"left": "7%",
				"bottom": "2%",
				"right": "5%",
				"symbolSize": 12,
				"normal": {
					"itemStyle": { "color": "green", "opacity-": 0.2 }
				},
				"emphasis": {
					"itemStyle": { "color": "blue", "opacity-": 0.4 }
				},
				"label": {
					"position": "left",
					"verticalAlign": "middle",
					"align": "right"
				},
				"leaves": {
					"label": {
						"position": "right",
						"verticalAlign": "middle",
						"align": "left"
					}
				},
				"emphasis-": {
					"focus": "descendant"
				},
				"expandAndCollapse": true,
				"animationDuration": 200,
				"animationDurationUpdate": 450
			},
			{
				"type": "tree",
				"name": "product 2",
				"data": [],
				"top": "5%",
				"left": "5%",
				"bottom": "2%",
				"right": "7%",
				"symbolSize": 12,
				"label": {
					"position": "left",
					"verticalAlign": "middle",
					"align": "right"
				},
				"leaves": {
					"label": {
						"position": "right",
						"verticalAlign": "middle",
						"align": "left"
					}
				},
				"emphasis-": {
					"focus": "descendant"
				},
				"expandAndCollapse": true,
				"animationDuration": 200,
				"animationDurationUpdate": 450
			}
		]
	}
}
